MWParserInternal::Information Struct Reference

the paragraph... information More...

## Public Types

enum | Type { TEXT, RULER, GRAPHIC, PAGEBREAK, UNKNOWN }
| the different type More...

## Public Member Functions

| Information ()
| constructor More...

## Public Attributes

Type | m_type
| the type More...
bool | m_compressed
| a flag to know if the text data are compressed More...
MWAWPosition | m_pos
| top left position More...
int | m_height
| the paragraph height More...
MWAWParagraph::Justification | m_justify
| paragraph justification : MWAW_PARAGRAPH_JUSTIFICATION* More...
bool | m_justifySet
| true if the justification must be used More...
MWAWEntry | m_data
| the position in the file More...
MWAWFont | m_font
| the font More...

## Friends

std::ostream & | operator<< (std::ostream &o, Information const &info)
| operator<< More...

## Detailed Description

the paragraph... information

## Member Enumeration Documentation

enum MWParserInternal::Information::Type

the different type

Enumerator
TEXT |
RULER |
GRAPHIC |
PAGEBREAK |
UNKNOWN |

## Constructor & Destructor Documentation

MWParserInternal::Information::Information | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Information const & | info
| ) |  |

friend

operator<<

## Member Data Documentation

bool MWParserInternal::Information::m_compressed

a flag to know if the text data are compressed

Referenced by MWParserInternal::operator<<(), MWParser::readInformations(), and MWParser::readText().

MWAWEntry MWParserInternal::Information::m_data

the position in the file

Referenced by MWParserInternal::operator<<(), MWParser::readGraphic(), MWParser::readInformations(), MWParser::readPageBreak(), MWParser::readParagraph(), and MWParser::readText().

MWAWFont MWParserInternal::Information::m_font

the font

Referenced by MWParser::readInformations(), and MWParser::readText().

int MWParserInternal::Information::m_height

the paragraph height

Referenced by MWParserInternal::operator<<(), MWParser::readInformations(), MWParser::readInformationsV3(), and MWParser::readText().

MWAWParagraph::Justification MWParserInternal::Information::m_justify

paragraph justification : MWAW_PARAGRAPH_JUSTIFICATION*

Referenced by MWParserInternal::operator<<(), MWParser::readInformations(), and MWParser::readText().

bool MWParserInternal::Information::m_justifySet

true if the justification must be used

Referenced by MWParserInternal::operator<<(), MWParser::readInformations(), and MWParser::readText().

MWAWPosition MWParserInternal::Information::m_pos

top left position

Referenced by MWParserInternal::operator<<(), MWParser::readInformations(), and MWParser::readInformationsV3().

Type MWParserInternal::Information::m_type

the type

Referenced by MWParserInternal::operator<<(), MWParser::readInformations(), and MWParser::readInformationsV3().

The documentation for this struct was generated from the following file:

- MWParser.cxx